Foreman - Bug #6924

Ul should throw proper validation error while updating some params with any random value(like utf-8
or -ve values)

08/05/2014 04:00 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Ondfrej Prazak
Category: Settings
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1126731 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3297
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1126731
Description of problem:
I'm bit confused with the validation around the parameter those should contain a valid URL as a value or an IP address as a value.

For example:

if | update "unattended_url" parameter under provisioning tab with utf8 characters then Ul throws error "Value must be a valid URI"
Similarly, If | update following params, with any value, Ul doesn't raise any error:

- login_delegation_logout_url : accepts all values (-ve value, null values, utf-8, latin-1, html etc)

- signo_url: accepts all values (-ve value, null values, utf-8, latin-1, html etc)

- trusted_puppetmaster_hosts : Since its accepts value in an array, so | can add any value (-ve, null, html) between [].

Also, the parameters whose value can be a IP address should also be validated before accepting the value.
libvirt_default_console_address: accepts all values (-ve value, null values, utf-8, latin-1, html etc)

remote_addr: accepts all values (-ve value, null values, utf-8, latin-1, html etc)

Version-Release number of selected component (if applicable):
sat6 GA snap3

How reproducible:
always

Steps to Reproduce:

1. update all above mentioned parameters under settings menu with some unknown random value.
2.

3.

Actual results:
No validation around above parameters. User can edit all these parameters with any value. A parameter whose value should be only
a URL can accept anything. or a param whose value should be an IP address can accept utf8 characters.

Expected results:
Proper validation needs to be placed for parameters. As soon as user input any value, it should be validated by Ul and user should
get an error message if its a invalid value.

Additional info:

Related issues:
https://bugzilla.redhat.com/show_bug.cgi?id=1126731

Related to Foreman - Bug #14198: remote_addr validation is too strict for ar... Closed 03/15/2016
Related to Foreman - Bug #14225: super: no superclass method “load_defaults' ... Closed 03/16/2016
Related to Foreman - Feature #15370: Additional validations for email and tru... Closed 06/10/2016

Associated revisions

Revision 7339369d - 03/14/2016 12:51 PM - Ondfej Prazak
Fixes #6924 - Additional validations for Setting

History

#1 - 08/05/2014 04:02 AM - Dominic Cleal
- Category set to Settings

1. the two URL settings should be part of the URI_ATTRS list so they get URL validation

2. trusted_puppetmaster_hosts I'm not much worried about, we only check if rDNS is in the list. Maybe it could be validated as an array of strings.
3. libvirt_default_console_address probably should permit hostnames as well as IPs, so | think it's OK.

4. remote_addr is a regexp, so is probably OK too.

#2 - 03/09/2016 03:15 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ondrej PraZak

- Pull request https://github.com/theforeman/foreman/pull/3297 added

#3 - 03/14/2016 01:01 PM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7339369dc896aa9eb3c0bdc1af7992dd6268actd.

#4 - 03/15/2016 04:27 AM - Dominic Cleal

- Related to Bug #14198: remote_addr validation is too strict for a reqular expression added

#5 - 03/15/2016 04:53 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#6 - 03/16/2016 04:54 AM - Dominic Cleal

- Related to Bug #14225: super: no superclass method "load_defaults' for #<Class:..> on startup added

#7 - 06/10/2016 03:28 AM - Ondfej Prazak
- Related to Feature #15370: Additional validations for email and trusted hosts settings added
